For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETRetrieves all project milestones.
      • POSTCreates a new project milestone.
      • GETReturns the specified project milestone.
      • PUTUpdates an existing project milestone.
      • DELDeletes a project milestone.
      • GETReturns all project milestones of the specified project.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Milestones

Returns all project milestones of the specified project.

GET
https://api.awork.com/api/v1/projects/:projectId/milestones
GET
/api/v1/projects/:projectId/milestones
$curl https://api.awork.com/api/v1/projects/projectId/milestones \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "name": "Internal Review",
4 "color": "green",
5 "projectId": "123e4567-e89b-12d3-a456-426614174000",
6 "dueDate": "2022-03-01T15:00:00Z",
7 "id": "123e4567-e89b-12d3-a456-426614174000",
8 "project": {
9 "name": "Website Design",
10 "isPrivate": false,
11 "description": "Sitemap, design, assets and implementation of the new online presence.",
12 "startDate": "2022-03-01T00:00:00Z",
13 "dueDate": "2022-05-01T00:00:00Z",
14 "companyId": "123e4567-e89b-12d3-a456-426614174000",
15 "timeBudget": 576000,
16 "isBillableByDefault": true,
17 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
18 "color": "purple",
19 "deductNonBillableHours": true,
20 "isProjectKeyVisible": true,
21 "projectStatusId": "123e4567-e89b-12d3-a456-426614174000",
22 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
23 "publicProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
24 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
25 "id": "123e4567-e89b-12d3-a456-426614174000",
26 "projectKey": "string",
27 "hasImage": true,
28 "createdOn": "2024-01-15T09:30:00Z",
29 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
30 "updatedOn": "2024-01-15T09:30:00Z",
31 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
32 "closedOn": null,
33 "closedBy": "123e4567-e89b-12d3-a456-426614174000",
34 "createdByProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
35 "projectType": {
36 "id": "123e4567-e89b-12d3-a456-426614174000",
37 "name": "Design",
38 "icon": "thumb_up",
39 "isArchived": false
40 },
41 "projectStatus": {
42 "id": "123e4567-e89b-12d3-a456-426614174000",
43 "name": "Design",
44 "description": "Work in progress",
45 "type": "todo",
46 "isArchived": false,
47 "typeOrder": 1,
48 "isExternal": true
49 },
50 "company": {
51 "id": "123e4567-e89b-12d3-a456-426614174000",
52 "name": "Design",
53 "hasImage": true,
54 "description": "A brand strategy and design agency",
55 "tags": [
56 {
57 "id": "123e4567-e89b-12d3-a456-426614174000",
58 "name": "Design",
59 "color": "purple",
60 "entityId": "123e4567-e89b-12d3-a456-426614174000"
61 }
62 ]
63 },
64 "tags": [
65 {
66 "id": "123e4567-e89b-12d3-a456-426614174000",
67 "name": "Design",
68 "color": "purple"
69 }
70 ],
71 "totalPlannedDurationWithHierarchy": 432000,
72 "tasksCount": 12,
73 "tasksDoneCount": 3,
74 "members": [
75 {
76 "id": "123e4567-e89b-12d3-a456-426614174000",
77 "userId": "123e4567-e89b-12d3-a456-426614174000",
78 "firstName": "Lisa",
79 "lastName": "Smith",
80 "hasImage": true,
81 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
82 "projectRoleName": "Project Manager",
83 "isResponsible": true,
84 "isDeactivated": false,
85 "isExternal": true
86 }
87 ],
88 "trackedDuration": 72000,
89 "customFields": [
90 {
91 "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
92 "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
93 "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
94 "numberValue": 123.45,
95 "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
96 "selectionOption": {
97 "value": "Website Design",
98 "id": "123e4567-e89b-12d3-a456-426614174000",
99 "color": "purple",
100 "order": 0
101 },
102 "textValue": "S1: Business Critical",
103 "dateValue": "2024-01-15T09:30:00Z",
104 "booleanValue": true
105 }
106 ],
107 "resourceVersion": 637825154598057900,
108 "teams": [
109 {
110 "id": "123e4567-e89b-12d3-a456-426614174000",
111 "name": "Designers",
112 "icon": "paintbrush",
113 "color": "purple"
114 }
115 ],
116 "isExternal": true,
117 "isRetainer": true,
118 "isMultiAssignmentAllowed": true,
119 "plannedDuration": 432000
120 },
121 "createdOn": "2024-01-15T09:30:00Z",
122 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
123 "updatedOn": "2024-01-15T09:30:00Z",
124 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
125 }
126]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all activities of the project with the specified id.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Response

OK
namestring0-255 characters
The name of the milestone.
colorstring0-14 characters
The color of the milestone.
projectIdstringformat: "uuid"
The id of the project the milestone is related to.
dueDatestringformat: "date-time"
The date the milestone is due.
idstringformat: "uuid"
projectobject

/// This class contains all information to handle projects.

createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

401
Unauthorized Error